Package org.jfree.layouting.renderer.process.layoutrules

## Class TextSequenceElement

- java.lang.Object
- - org.jfree.layouting.renderer.process.layoutrules.TextSequenceElement

- All Implemented Interfaces:
    `InlineSequenceElement`

      public class TextSequenceElement
      extends java.lang.Object
      implements InlineSequenceElement

  Text in a line. A text item is special as it may shrink or stretch to better fit the line. If hyphenation is implemented, it may even split or change into a different text (this happens a lot in the german language).
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextSequenceElement​(RenderableText text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getMaximumWidth​()` | The extra-space width for an element.
    `long` | `getMinimumWidth​()` | The width of the element.
    `RenderNode` | `getNode​()` |
    `boolean` | `isPreserveWhitespace​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextSequenceElement

          public TextSequenceElement​(RenderableText text)

  - ### Method Detail

    - #### getMinimumWidth

          public long getMinimumWidth​()

      The width of the element. This is the minimum width of the element.
      Specified by:
        `getMinimumWidth` in interface `InlineSequenceElement`
      Returns:

    - #### getMaximumWidth

          public long getMaximumWidth​()

      The extra-space width for an element. Some elements can expand to fill some more space (justified text is a good example, adding some space between the letters of each word to reduce the inner-word spacing).
      Specified by:
        `getMaximumWidth` in interface `InlineSequenceElement`
      Returns:

    - #### getNode

          public RenderNode getNode​()

      Specified by:
        `getNode` in interface `InlineSequenceElement`

    - #### isPreserveWhitespace

          public boolean isPreserveWhitespace​()

      Specified by:
        `isPreserveWhitespace` in interface `InlineSequenceElement`